Bug 1255641 - Redundant scroll bars in domain screens
Redundant scroll bars in domain screens
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Data Modeler (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity low
: ER5
: 6.2.0
Assigned To: Walter Medvedeo
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-21 05:03 EDT by Jiri Locker
Modified: 2015-11-04 08:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Advaced domain screen with duplicate scroll bars (38.69 KB, image/png)
2015-08-21 05:03 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2015-08-21 05:03:03 EDT
Created attachment 1065507 [details]
Advaced domain screen with duplicate scroll bars

Description of problem:
The outer scroll bars are always present even though the content fits into the available space. When the content becomes large enough, duplicate scroll bars appear and so use needs to scroll twice to display the opposite side of the content.

Additionally, there is a fixed block of empty space at the bottom of each domain screen with no purpose. It may be removed.

Version-Release number of selected component (if applicable):
6.2.0.ER1

How reproducible:
-

Steps to Reproduce:
1. Open any data object.
2. Use all properties in Drools domain screen.
3. Open Advanced domain screen, expand several properties.

Actual results:
Duplicate scroll bars.

Expected results:
No duplicate scroll bars.

Additional info:
Comment 1 Walter Medvedeo 2015-10-09 09:51:47 EDT
The following uberfire/uberfire-extensions commits are related to the reportred issue, and are the base fixes for it.
I include them here just to keep some track.

One important remark is that given the BS3 stuff some part of the fixes are different for master and 0.7.x branches.

master:

https://github.com/uberfire/uberfire/commit/4b33a9b679bd57a6706d612849a002d4f651bd91

https://github.com/uberfire/uberfire/commit/0c0cc548f119a877c9c10c4fcd78af2d4cf83204

https://github.com/uberfire/uberfire/commit/edb500cb84e630b486db01773f47c64c64df4025


https://github.com/uberfire/uberfire-extensions/commit/7fae846e8ef948fa29a1c0d32ee9ce06246dc2b6

https://github.com/uberfire/uberfire-extensions/commit/ec01a67c9e96a1992ce111294be147f89bb8f3a8

0.7.x:

https://github.com/uberfire/uberfire-extensions/commit/f819209fb2a6340cfcbd5e82731b4e8e9537281a

https://github.com/uberfire/uberfire-extensions/commit/665c21185909073100139d227d692667191f6451

https://github.com/uberfire/uberfire/commit/4a383572b3a52d126b162f932feffe9178f93813

https://github.com/uberfire/uberfire/commit/7827290a3f6d982fa59a6b140eaca34136e484a4

https://github.com/uberfire/uberfire/commit/74f6bb8efad314531012a76d9354773b28888f7d


This other commits on kie-wb-commons are the complementary fixes at the kie-wb-common size. 


Summarizing we have now a better functioning and the Docks works as expected providing a better user experience.


The following commit in 6.3.x closes the issue for the product 6.2 version. (cherry pick to master do not apply since master is based on BS3)

push 6.3.x URL: http://github.com/droolsjbpm/kie-wb-common/commit/252a125a4
Comment 2 Jiri Locker 2015-11-04 08:42:45 EST
Fixed, looks perfectly now!

Note You need to log in before you can comment on or make changes to this bug.